Overview
Retrieves information about a registered OTT property by Platform and ID.
URL Parameters
<!--complex table-->
| Name |
Type |
|
Description |
| platform |
string |
Required |
OTT Platform Name of the property. |
| ottPropertyId |
string |
Required |
ID of the OTT property |
Responses
| Status |
Name |
Type |
Description |
| 200 |
|
|
Success |
| |
ottPlatformName |
string |
Indicates the name of the OTT network the resource is being registered with values: line, messenger. |
| |
ottPlatformAttributes |
object |
Object containing OTT platform attributes. |
| |
ottPlatformAttributes.applicationId |
string |
Facebook Application Id. |
| |
ottPlatformAttributes.pageId |
string |
Facebook Page Id. |
| |
ottPlatformAttributes.pageName |
string |
Facebook Page Name. |
| |
ottPlatformAttributes.endpointUrl |
string |
Send API url of the OTT network. |
| |
ottPlatformAttributes.isActive |
integer |
Indicates if the OTT resource is active with values: 0 (Inactive), 1 (Active). |
| |
ottPlatformAttributes.channelId |
string |
LINE channel Id. Required for registering LINE resource. |
| |
ottPlatformAttributes.channelName |
string |
LINE channel name. Required for registering LINE resource. |
| |
ottPlatformAttributes.isTransactional |
integer |
Indicates if LINE channel is Transactional or Reseller with values: 0 (Reseller), 1 (Transactional). |
| |
ottPlatformAttributes.isTestChannel |
integer |
Indicates if LINE channel is a Test channel with values: 0 (Not a test channel), 1 (test channel). |
| |
|
|
|
| 400 |
|
|
Bad Request |
| |
message |
string |
Error message. |
| |
errorcode |
number |
Error code. |
| |
documentation |
string |
Documentation for the error code. |
| |
validationErrors |
array |
Validation errors in the request payload. |
| |
|
|
|
| 403 |
|
|
Forbidden |
| |
message |
string |
Error message. |
| |
errorcode |
number |
Error code. |
| |
documentation |
string |
Documentation for the error code. |
| |
|
|
|
| 404 |
|
|
Not Found |
| |
message |
string |
Error message. |
| |
errorcode |
number |
Error code. |
| |
documentation |
string |
Documentation for the error code. |
Usage
Example Request: Retrieve a Messenger Resource
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
GET /ott/v1/registration/messenger/1732555047025799
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
Example Response: Retrieve a Messenger Resource
HTTP/1.1 200 OK
{
"ottPlatformName" : "messenger",
"ottPlatformAttributes" : {
"applicationId" : "1093076390764037",
"pageId" : "1732555047025799",
"pageName" : "SFMC Engineers",
"endpointUrl" : "https://example.com/1732555047025799",
"isTransactional" : true,
"isTestChannel": false,
"isActive": true,
"apiVersion" : "v2.0"
}
}
Example Request: Retrieve a LINE Resource
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
GET /ott/v1/registration/line/1093076390764037
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
Example Response: Retrieve a LINE Resource
HTTP/1.1 200 OK
{
"ottPlatformName" : "line",
"ottPlatformAttributes" : {
"channelId" : "1093076390764037",
"channelName" : "SFMC Engineers",
"endpointUrl" : "https://example.com/1732555047025799",
"isTransactional" : true,
"isTestChannel": false,
"isActive": true,
"apiVersion" : "v2.0"
}
}